# mx_hidemanager.rb (C) 2010 by Henry Schorradt, info@simkea.de, http://www.simkea.de

Sketchup::require 'sketchup.rb'
Sketchup::require 'extensions.rb'

$mxhm_filename=File.basename(__FILE__) 
$mxhm_path=File.dirname(__FILE__)
$mxhm_dialogpath = File.join( $mxhm_path, "mx_hiddenmanager","webdialog")
$mxhm_plugin_loader = nil

class MX_hiddenmanager_loader

	def initialize
		@mxhm_toolbar = nil
		@mxhm_tool = nil
	end

	def setHmTool(obj)
		@mxhm_tool = obj
	end
	
	def setViewWindowButton
		@mxhm_toolbar = UI::Toolbar.new("Hidden Manager")
        cmd = UI::Command.new("Hidden Manager")	{ @mxhm_tool.openViewWindow() }
        cmd.small_icon		= File.join("mx_hiddenmanager", "icons", "mx_viewer.png")
        cmd.large_icon		= File.join("mx_hiddenmanager", "icons", "mx_viewer.png")
        cmd.status_bar_text	= "Hidden Manager"
        cmd.tooltip			= "Hidden Manager"
		@mxhm_toolbar.add_item(cmd)

	end
	
	def setViewWindowEntry
		parent_menu = UI.menu("Plugins")
		parent_menu.add_item("Hidden Manager") { @mxhm_tool.openViewWindow() }
	end
	
end # class

#-----------------------------------------------------------------------------
if( not file_loaded?(__FILE__) ) then
	$mxhm_plugin_loader = MX_hiddenmanager_loader.new
	mx_hiddenmanager = SketchupExtension.new "Hidden Manager", File.join("mx_hiddenmanager","mx_hiddenmanager.rbs")
	mx_hiddenmanager.name = "Hidden Manager"
	mx_hiddenmanager.version = "1.0.1"
	mx_hiddenmanager.description = "Contact: email@henryschorradt.de (german)"
	mx_hiddenmanager.copyright = "Henry Schorradt, 2014"
	mx_hiddenmanager.creator = "Henry Schorradt, http://www.henryschorradt.de"
	Sketchup.register_extension mx_hiddenmanager, true
end
file_loaded(__FILE__)
